import '../../../stencil.core';
import { EventEmitter } from '../../../stencil.core';
export declare class RouteLink {
    el: HTMLElement;
    data: any;
    state: any;
    dataJson: string;
    url: string;
    action: string;
    actionParams: string;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    postRender(): void;
    registerRouteLink: EventEmitter;
    routeLinkChange: EventEmitter;
    render(): JSX.Element;
}
